org.appng.appngizer.model.xml

## Class Nameable

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable

- Direct Known Subclasses:
    Application, Group, Link, Package, Permission, Property, Repository, Role, Site, Subject

      public abstract class Nameable
      extends Linkable

  Java class for nameable complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="nameable">
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}linkable">
             <attribute name="name" use="required" type="{http://www.appng.org/schema/appngizer}stringNotBlank" />
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Nameable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the value of the name property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

  - ### Constructor Detail

    - #### Nameable

          public Nameable()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.